Subject: bug#16377: Undo Tree regression: (error "Unrecognized entry in undo list undo-tree-canary")

From: Keith David Bershatsky <[email-masked]>
Date: Wed, 05 Jul 2017 22:01:16 -0700

Thank you, Stefan, for taking another look at #16377.

The attached `patch.diff` relates to the modified version of `primitive-undo` that I am using in-house.  It applies to the latest version of the master branch (downloaded today 07/05/2017) bearing commit 7a0170de20fe1225d3eeac099d1e61a0c0410bf3.  It looks like the revision for bug#25599 was applied by the Emacs team sometime after I made my revised version -- I've never tried using that revised section of code.

Keith

;;;;;;;;;;;;;;;;;;;;;;; PREVIOUS MESSAGE ;;;;;;;;;;;;;;;;;;;;;;

DATE:  [07-05-2017 21:06:50] <06 Jul 2017 00:06:50 -0400>
FROM:  Stefan Monnier <[email-masked]>
> 
> > I am presently using the following modified version of primitive-undo in my
> [...]
> 
> Please send it as a patch, so we get to see what you've changed,
> I don't know about you, but I personally do not remember the current
> code of primitive-undo by heart.
> 
> 
>         Stefan

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;